# Installation

#### 1. Add to your server

Place the `ars_multicharacter` folder inside your resources directory (e.g., `resources/[scripts]/ars_multicharacter`).

#### 2. Add to `server.cfg`

```cfg
ensure oxmysql
ensure ox_lib
ensure ars_multicharacter
```

Make sure `ars_multicharacter` starts **after** `oxmysql`, `ox_lib`, and your framework resource.

***

{% tabs %}
{% tab title="ESX" %}
{% hint style="info" %}
Make sure to have an updated version of <mark style="color:$primary;">esx\_core</mark>
{% endhint %}

#### First Step:

* [ ] Delete <mark style="color:$primary;">esx\_identity</mark>  or any other
* [ ] Delete <mark style="color:$primary;">esx\_mutlicharacter</mark> or any other

#### Start order in server.cfg:

```awk
ensure oxmysql
ensure ox_lib
------------------
ensure es_extended
ensure [core]
ensure [standalone]
------------------ 
ensure ars_multicharacter
```

{% endtab %}

{% tab title="QBCORE" %}

#### First Step:

* [ ] Delete <mark style="color:$primary;">qb-multicharacter</mark> or any other

#### Start order in server.cfg:

```awk
ensure oxmysql
ensure ox_lib
--------------
ensure qb-core
ensure [qb]
ensure [standalone]
------------------ 
ensure ars_multicharacter
```

{% endtab %}

{% tab title="QBOX" %}

#### First Step:

* [ ] in <mark style="color:$primary;">qbox\_core/config/client.lua</mark> set`useExternalCharacters = true`
* [ ] in <mark style="color:$primary;">qbox\_core/config/client.lua</mark> set `startingApartment = false`

#### Start order in server.cfg:

```awk
ensure oxmysql
ensure ox_lib
--------------
ensure qbx_core
ensure [qbx]
ensure [standalone]
------------------ 
ensure ars_multicharacter       
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arius-scripts.com/site/documentation/resources/multicharacter/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
